Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Todo List

Member ACE_Asynch_Write_Stream::implementation (void) const
  (this should be protected...)

Member ACE_CDR::DEFAULT_BUFSIZE
  We want to add options to control this default value, so this constant should be read as the default default value ;-)

Class ACE_Configuration_Heap
  -Need to investigate what happens if memory mapped file gets mapped to a location different than it was created with.

Member ACE_Dev_Poll_Handler_Guard::ACE_Dev_Poll_Handler_Guard (ACE_Event_Handler *eh, bool do_incr=true)
  Suspend the handler so that other threads will not cause an event that is already in an upcall from being dispatched again.

Member ACE_Dev_Poll_Handler_Guard::~ACE_Dev_Poll_Handler_Guard (void)
  Resume the handler so that other threads will be allowed to dispatch the handler.

Class ACE_Ini_ImpExp
  -Strings with embedded newlines cause the import to fail -Strings with embedded quotes " cause the import to fail -Importing/exporting for values in the root section does not work -Add dynamic buffer when importing. currently it will not allow importing of values greater than a fixed ammount (4096 bytes)

Class ACE_Intrusive_List< T >
  The ACE_Message_Queue is an example of an intrusive list (or queue) but it is not implemented in terms of this class.

Class ACE_MT_SYNCH
  This should be a template, but SunC++ 4.0.1 complains about this.

Class ACE_Registry_ImpExp
  -Add dynamic buffer when importing. currently it will not allow importing of values greater than a fixed ammount (4096 bytes)

Class ACE_RW_Process_Mutex
  For systems with pthread_rwlockattr_setpshared one may consider using them to make the mutex faster.

Class ACE_Task_Ex<, ACE_MESSAGE_TYPE >
  : We can merge ACE_Task and ACE_Task_Ex to be one class. something like that: template <ACE_SYNCH_DECL, ACE_MESSAGE_TYPE = ACE_Message_Block> class ACE_Task : public ACE_Task_Base { // use here the code from ACE_Task_Ex using ACE_Message_Queue_Ex };

Member ACE_Task_Ex::sibling (void)
  FIXME

Member ACE_Task_Ex::sibling (void)
  FIXME Need to impl ACE_Moudle to support ACE_Task as well. Now always return 0 for sibling

Class ACE_Throughput_Stats
  The idea behind this class was to use linear regression to determine if the throughput was linear or exhibited jitter. Unfortunately it never worked quite right, so only average throughput is computed.

Member ACE_Time_Value::normalize (void)
  This loop needs some optimization.

  This loop needs some optimization.

Member ACE_TkReactor::InputCallbackProc (ClientData cd, int mask)
  the unused mask argument is probably quite useful, but we ignore it, why? In fact the following comment probably relates to that: This could be made shorter if we know which *kind* of event we were about to get. Here we use <select> to find out which one might be available.

Class ACE_OS::macaddr_node_t
  : this is really useless except for UUID, move there? dhinton

File Configuration.h
  Templatize this class with an ACE_LOCK to provide thread safety

File Configuration_Import_Export.h
  -Add locking for thread safety. -Provide ability to read file in one format and write in another. -See todo's in each class

Member ACE_STATIC_SVC_REQUIRE (SERVICE_CLASS)
  One class per-Service_Object seems wasteful. It should be possible to define a single class and re-use it for all the service objects, just by passing the Service_Descriptor as an argument to the constructor.

Member ACE_OS::memchr (const void *s, int c, size_t len)
  To be complete, we should add strcoll, and strxfrm.